package com.steerinfo.ems.formula.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModelProperty;

public class Formula implements IBasePO<String> {
    /**
     * 公式ID(ID,VARCHAR,100)
     */
    @ApiModelProperty(value="公式ID",required=true)
    private String id;

    /**
     * 公式版本(CLOCK,VARCHAR,30)
     */
    @ApiModelProperty(value="公式版本",required=false)
    private String clock;

    /**
     * 公式code(CODE,VARCHAR,60)
     */
    @ApiModelProperty(value="公式code",required=false)
    private String code;

    /**
     * 描述(DESCRIPTION,VARCHAR,500)
     */
    @ApiModelProperty(value="描述",required=false)
    private String description;

    /**
     * 是否可用(ISAVAILABLE,VARCHAR,10)
     */
    @ApiModelProperty(value="是否可用",required=false)
    private String isavailable;

    /**
     * 数据表达式(SOURCECODE,VARCHAR,2000)
     */
    @ApiModelProperty(value="数据表达式",required=false)
    private String sourcecode;

    /**
     * 修改者(REVISOR,VARCHAR,30)
     */
    @ApiModelProperty(value="修改者",required=false)
    private String revisor;

    /**
     * 修改时间(REVISETIME,VARCHAR,30)
     */
    @ApiModelProperty(value="修改时间",required=false)
    private String revisetime;

    /**
     * 目标表名(TABLENAME,VARCHAR,255)
     */
    @ApiModelProperty(value="目标表名",required=false)
    private String tablename;

    /**
     * 单位(UNITID,VARCHAR,20)
     */
    @ApiModelProperty(value="单位",required=false)
    private String unitid;

    /**
     * 备注(BZ,VARCHAR,255)
     */
    @ApiModelProperty(value="备注",required=false)
    private String bz;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getClock() {
        return clock;
    }

    public void setClock(String clock) {
        this.clock = clock == null ? null : clock.trim();
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code == null ? null : code.trim();
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description == null ? null : description.trim();
    }

    public String getIsavailable() {
        return isavailable;
    }

    public void setIsavailable(String isavailable) {
        this.isavailable = isavailable == null ? null : isavailable.trim();
    }

    public String getSourcecode() {
        return sourcecode;
    }

    public void setSourcecode(String sourcecode) {
        this.sourcecode = sourcecode == null ? null : sourcecode.trim();
    }

    public String getRevisor() {
        return revisor;
    }

    public void setRevisor(String revisor) {
        this.revisor = revisor == null ? null : revisor.trim();
    }

    public String getRevisetime() {
        return revisetime;
    }

    public void setRevisetime(String revisetime) {
        this.revisetime = revisetime == null ? null : revisetime.trim();
    }

    public String getTablename() {
        return tablename;
    }

    public void setTablename(String tablename) {
        this.tablename = tablename == null ? null : tablename.trim();
    }

    public String getUnitid() {
        return unitid;
    }

    public void setUnitid(String unitid) {
        this.unitid = unitid == null ? null : unitid.trim();
    }

    public String getBz() {
        return bz;
    }

    public void setBz(String bz) {
        this.bz = bz == null ? null : bz.trim();
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", clock=").append(clock);
        sb.append(", code=").append(code);
        sb.append(", description=").append(description);
        sb.append(", isavailable=").append(isavailable);
        sb.append(", sourcecode=").append(sourcecode);
        sb.append(", revisor=").append(revisor);
        sb.append(", revisetime=").append(revisetime);
        sb.append(", tablename=").append(tablename);
        sb.append(", unitid=").append(unitid);
        sb.append(", bz=").append(bz);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}